Summary:	GTK ASTerisk MANager
Name:		gastman
Version:	20050401
Release:	%mkrel 4
Group:		System/Configuration/Networking
License:	GPLv2+
URL:		http://www.asterisk.org
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gastman-20040803-mdk.diff
BuildRequires:	gtk+2-devel
BuildRequires:	ImageMagick
BuildRequires:  db-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GTK ASTerisk MANager is a administration tool for asterisk.

%prep

%setup -q
%patch0 -p0

%build

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_datadir}/%{name}/icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0755 gastman %{buildroot}%{_sbindir}/
install -m0644 art/*.xpm %{buildroot}%{_datadir}/%{name}/icons/

# Mandriva Icons
convert -size 48x48 art/phone2.xpm %{buildroot}%{_liconsdir}/%{name}.png
convert -size 32x32 art/phone2.xpm %{buildroot}%{_iconsdir}/%{name}.png
convert -size 16x16 art/phone2.xpm %{buildroot}%{_miconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_sbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Settings;Network;
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_sbindir}/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Dec 14 2007 Funda Wang <fundawang@mandriva.org> 20050401-4mdv2008.1
+ Revision: 119611
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 20050401-3mdv2007.0
+ Revision: 85323
- Import gastman

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 20050401-3
- fix xdg menus

* Sat Oct 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 20050401-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Apr 25 2005 Oden Eriksson <oeriksson@mandriva.com> 20050401-1mdk
- new snap

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20040803-1mdk
- initial mandrake package

